<?php
include_once(__DIR__."/../../core.php");

if ($modules_info[$module_name]["permessi"] == 'rw') {
	switch (filter('op')) {
		case "update" :
			$descrizione = filter("descrizione");
			$codice_modalita_pagamento_fe = filter("codice_modalita_pagamento_fe");

			if(isset($descrizione)){
				$dbo->query("UPDATE `co_pagamenti` SET `descrizione`=".prepare($descrizione)." , `codice_modalita_pagamento_fe`=".prepare($codice_modalita_pagamento_fe)." WHERE `descrizione`=".prepare($records[0]["descrizione"]));
				
				$i=0;
				foreach ($_POST["id"] as $key => $id) {
					if($_POST["scadenza"][$key] == 1){
						$giorno = $_POST["giorno"][$i];
						$i ++;
					}
					else $giorno = $_POST["scadenza"][$key];

					if($id != "") $dbo->query("UPDATE `co_pagamenti` SET `prc`=".prepare($_POST["percentuale"][$key]).", `giorno`=".prepare($giorno).", `num_giorni`=".prepare($_POST["distanza"][$key])." WHERE `id`=".prepare($id));
					else $dbo->query("INSERT INTO `co_pagamenti` (`descrizione`,`prc`,`giorno`,`num_giorni`) VALUES (".prepare($descrizione).", ".prepare($_POST["percentuale"][$key]).", ".prepare($giorno).", ".prepare($_POST["distanza"][$key]).")");
				}
				array_push($_SESSION["infos"], "Salvataggio completato!");
			}
			else array_push($_SESSION["errors"], "Ci sono stati alcuni errori durante il salvataggio!");

			break;

		case "add" :
			$descrizione = filter("descrizione");

			if(isset($descrizione)) {
				$id_record = $dbo->query("INSERT INTO `co_pagamenti` (`descrizione`) VALUES (".prepare($descrizione).")");
				array_push($_SESSION["infos"], str_replace("_TYPE_", "pagamento", _("Aggiunta nuova tipologia di _TYPE_")));
			}
			else array_push($_SESSION["errors"], "Ci sono stati alcuni errori durante il salvataggio!");

			break;

		case "delete" :
			if(isset($id_record)){
				$dbo->query("DELETE FROM `co_pagamenti` WHERE `descrizione`=".prepare($records[0]["descrizione"]));
				array_push($_SESSION["infos"],  str_replace("_TYPE_", "pagamento", _("Tipologia di _TYPE_ eliminata con successo!")));
			}

			break;

		case "delete_rata" :
			$id = filter("id");
			if(isset($id)){
				$dbo->query("DELETE FROM `co_pagamenti` WHERE `id`=" . prepare($id));
				array_push($_SESSION["infos"], _("Elemento eliminato con successo!"));
				if($id_record == $id){
					$res = $dbo->fetchArray("SELECT * FROM `co_pagamenti` WHERE `id`!=" . prepare($id)." AND `descrizione`=".prepare($records[0]["descrizione"]));
					if(count($res)!=0) {
						redirect($rootdir."/editor.php?id_module=".$id_module."&id_record=".$res[0]["id"]);
					}
					else redirect($rootdir."/controller.php?id_module=".$id_module);
				}
			}

			break;
	}
}
?>